﻿/*
 *  Copyright 2010 Angus Helm
 * 
 *  This file is part of Terrella.
 *
 *  Terrella is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 * 
 *  Terrella is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 * 
 *  You should have received a copy of the GNU General Public License
 *  along with Terrella.  If not, see <http://www.gnu.org/licenses/>.
 */
using System;
using System.IO;
using System.Collections.Generic;

namespace Terrella
{
	/// <summary>
	/// Description of Resources.
	/// </summary>
	public class FSResources
	{
		private string Root { get; set; }
		
		public FSResources()
		{
			if (File.Exists("Data")) {
				Root = "";
			} else {
				Root = Path.Combine("..", "..");
			}
			Root = Path.Combine(Root, "Data");
		}
		
		public string GetRealPath(string resource) {
			return Path.Combine(Root, resource.Replace('.', Path.DirectorySeparatorChar));
		}
		
		public IEnumerable<string> ListChildren(string resource) {
			return Directory.EnumerateFileSystemEntries(GetRealPath(resource));
		}
	}
}
