﻿/*
 *  Copyright 2010 Angus Helm
 * 
 *  This file is part of Terrella.
 *
 *  Terrella is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 * 
 *  Terrella is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 * 
 *  You should have received a copy of the GNU General Public License
 *  along with Terrella.  If not, see <http://www.gnu.org/licenses/>.
 */
using System;
using System.Collections.Generic;

namespace Terrella
{
	/// <summary>
	/// Description of TerrellaRandom.
	/// </summary>
	public static class TerrellaRandom
	{
		private static Random random;
		
		public static double NextRawDouble() {
			return random.NextDouble();
		}
		
		public static E Choice<E>(ICollection<E> source) {
			int count = NextInt(0, source.Count - 1);
			var en = source.GetEnumerator();
			while (count > 0) {
				en.MoveNext();
				count--;
			}
			return en.Current;
		}
		
		public static double NextDouble(double min, double max) {
			return ((max - min) * random.NextDouble()) + min;
		}
		
		public static int NextInt(int min, int max) {
			return random.Next(min, max);
		}
		
		public static void SetRandom(Random r) {
			random = r;
		}
	}
}
