﻿/*
 *  Copyright 2010 Angus Helm
 * 
 *  This file is part of Terrella.
 *
 *  Terrella is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 * 
 *  Terrella is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 * 
 *  You should have received a copy of the GNU General Public License
 *  along with Terrella.  If not, see <http://www.gnu.org/licenses/>.
 */
using System;

namespace Terrella.WorldMap.AI
{
	/// <summary>
	/// Description of BanditBrain.
	/// </summary>
	public class BanditBrain : Brain
	{
		public Actor actor { get; set; }
		private double direction = 0.5;
		private double speed = 0.5;
		
		public void Think() {
			this.direction = BrainUtils.NormalDirection(this.direction + 0.01);
			BrainUtils.MoveActorInDirection(actor, direction, speed);
		}
	}
}
