﻿/*
 *  Copyright 2010 Angus Helm
 * 
 *  This file is part of Terrella.
 *
 *  Terrella is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 * 
 *  Terrella is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 * 
 *  You should have received a copy of the GNU General Public License
 *  along with Terrella.  If not, see <http://www.gnu.org/licenses/>.
 */
using System;

namespace Terrella.WorldMap
{
	/// <summary>
	/// Description of Actor.
	/// </summary>
	public class Actor
	{
		public double X { get; set; }
		public double Y { get; set; }
		
		public string TypeId { get; set; }
		public string RenderId { get; set; }
		
		public AI.Brain Brain {get; set;}
		
		public Map WorldMap { get; private set; }
		
		public Actor(Map world)
		{
			this.WorldMap = world;
		}
	}
}
