﻿/*
 *  Copyright 2010 Angus Helm
 * 
 *  This file is part of Terrella.
 *
 *  Terrella is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 * 
 *  Terrella is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 * 
 *  You should have received a copy of the GNU General Public License
 *  along with Terrella.  If not, see <http://www.gnu.org/licenses/>.
 */
using System;
using Terrella.WorldMap.AI;

namespace Terrella.WorldMap
{
	/// <summary>
	/// Description of WorldMapGenerator.
	/// </summary>
	public class WorldMapGenerator
	{
		private FSResources Resources;
		
		public WorldMapGenerator(FSResources r) {
			this.Resources = r;
		}
		
		public Map getWorldMap() {
			Map m = new Map();
			
			Actor a = new Actor(m);
			a.X = 100.0;
			a.Y = 100.0;
			a.TypeId = "Player";
			a.RenderId = "Player";
			m.Actors.Add(a);
			m.Player = a;
			Brain b = new NullBrain();
			b.actor = a;
			a.Brain = b;
			
			a = new Actor(m);
			a.X = 150.0;
			a.Y = 150.0;
			a.TypeId = "House";
			a.RenderId = "House.1";
			m.Actors.Add(a);
			b = new NullBrain();
			b.actor = a;
			a.Brain = b;
			
			a = new Actor(m);
			a.X = 200.0;
			a.Y = 100.0;
			a.TypeId = "Forest";
			a.RenderId = "Forest.1";
			m.Actors.Add(a);
			b = new NullBrain();
			b.actor = a;
			a.Brain = b;
			
			a = new Actor(m);
			a.X = 200.0;
			a.Y = 100.0;
			a.TypeId = "Bandit";
			a.RenderId = "Bandit";
			m.Actors.Add(a);
			b = new BanditBrain();
			b.actor = a;
			a.Brain = b;
			
			return m;
		}
	}
}
